<html>
<head>
<title>Untitled Document</title>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
</head>
<link href="/templets/default/diary/css.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="templets/js/j.js"></script>
<script type="text/javascript" language='javascript' src='templets/js/main.js'></script>
<script type="text/javascript" language="javascript" src="../include/dedeajax2.js"></script>
<script type="text/javascript" src="templets/js/table_function.js"></script>
<script type="text/javascript" src="templets/js/leftmenu.js"></script>
<script type="text/javascript">
var reMethod = "<?php echo ($cfg_soft_lang == 'utf-8') ? 'POST' : 'GET';?>";
var pageno = 1;
var totalrow = <?php echo $totalRow; ?>;
var pagesize = <?php echo $pagesize; ?>;
var selitem = 0;
//加载列表
function ReloadPage(){
	$("#rslist").html("加载中...<br>[<a href=\"javascript:LoadPage('"+pageno+"')\"><u>点击此重新加载列表</u></a>]");	
	$.ajax({type: reMethod,url: "guestbook_admin.php",
		data: "dopost=getlist&pageno="+pageno,
		dataType: 'html',
		success: function(result){$("#rslist").html(result);}
	});
}
//载入指定页的列表
function LoadPage(npage){
	pageno = npage;
	ReloadPage();
	ReloadPageNum(pageno);
}
//删除留言
function DelNote(nid){
	if(!window.confirm('你确定要删除这则留言吗?'))
	{
		return false;
	}
	totalrow = totalrow - 1;
	var pagenum = Math.ceil(totalrow/pagesize);
	if(pagenum<=pageno) pageno = pagenum;
	$("#rslist").html("加载中...<br>[<a href=\"javascript:LoadPage('"+pageno+"')\"><u>点击此重新加载列表</u></a>]");
	
	$.ajax({type: reMethod,url: "guestbook_admin.php",
		data: "dopost=del&aid="+nid+"&pageno="+pageno,
		dataType: 'html',
		success: function(result){$("#rslist").html(result);}
	});	
	LoadPage(pageno);
}
//获得选中文项的ID
function getCheckboxItem()
{
	var allSel="";
	selitem = 0;
	if(document.form1.ids.value){
		selitem++;
		return document.form1.ids.value;
	}
	for(i=0;i<document.form1.ids.length;i++){
		if(document.form1.ids[i].checked){
			if(allSel=="") allSel=document.form1.ids[i].value;
			else allSel=allSel+","+document.form1.ids[i].value;
			selitem++;
		}
	}
	return allSel;
}
//批量删除留言
function DelNotes(){
	var listArea = $Obj('rslist');
	var aids = getCheckboxItem();
	if(selitem==0)
	{
		alert("你没选中任何内容！");
		return false;
	}
	if(!window.confirm('你确定要删除这些留言吗?'))
	{
		return false;
	}
	totalrow = totalrow - selitem;
	var pagenum = Math.ceil(totalrow/pagesize);
	if(pagenum<=pageno) pageno = pagenum;
	
	$("#rslist").html("加载中...<br>[<a href=\"javascript:LoadPage('"+pageno+"')\"><u>点击此重新加载列表</u></a>]");
	
	$.ajax({type: reMethod,url: "guestbook_admin.php",
		data: "dopost=del&ids="+aids+"&pageno="+pageno,
		dataType: 'html',
		success: function(result){$("#rslist").html(result);}
	});
	
	LoadPage(pageno);
}
//重新加载分页列表
function ReloadPageNum(startnum){
	var pagenum = Math.ceil(totalrow/pagesize);
	var listsize = 3;
	var ahtml = "";
	var startloop = 1;
	var endnum = 0;
	ahtml += "<span>共："+totalrow+" 条记录/"+pagenum+"页</span> ";
	if(pageno>1) ahtml += "<a href='#' onclick='LoadPage("+(pageno-1)+")'>↑上页</a> ";
	if(startnum >= pagenum-listsize){
		startloop = pagenum-(listsize*2);
		if(startloop<1) startloop = 1;
		for(i=startloop;i<=pagenum;i++){
			if(i==pageno) ahtml += "<span style='color:#555;font-weight:bold;'>"+i+"</span>";
			else ahtml += "<a href='#' onclick='LoadPage("+i+")'>"+i+"</a> ";
		}
	}
	else if(pagenum < listsize){
		for(i=1;i<=pagenum;i++){
			if(i==pageno) ahtml += "<span style='background:#006600; color:#FFFFFF;'>"+i+"</span>";
			else ahtml += "<a href='#' onclick='LoadPage("+i+")'>"+i+"</a> ";
		}
	}
	else{
		startloop = startnum-listsize;
		if(startloop<1){ startloop=1; endnum = startloop + (listsize*2); }
		else{ endnum = startnum+listsize; }
		if(endnum >= pagenum) endnum = pagenum;
		for(i=startloop;i<=endnum;i++){
			if(i==pageno) ahtml += "<span style='background:#006600; color:#FFFFFF;'>"+i+"</span>";
			else ahtml += "<a href='#' onclick='LoadPage("+i+")'>"+i+"</a> ";
		}
	}
	if(pageno<pagenum) ahtml += "<a href='#' onclick='LoadPage("+(pageno+1)+")'>下页↓</a> ";
	$('#pagelist').html(ahtml);
}
</script>
<body topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0" marginwidth="0" style="background-color=transparent">
<table width="284" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="370" width="284" align="right">
      <table border="0" width="278" id="table8" cellspacing="0" cellpadding="0" height="370">
        <tr> 
          <td height="19">　</td>
        </tr>
        <tr> 
          <td background="diary/linebg2.gif" height="1"><img border="0" src="/templets/default/diary/linebg2.gif" width="4" height="1"></td>
        </tr>
        <tr valign="top"> 
          <td> 
            <table border="0" width="100%" id="table9" cellspacing="0" cellpadding="0">
              <tr> 
                <td> 
                  <table width="100%" border="0" cellspacing="0" cellpadding="0" id="table10">
                    <tr> 
                      <td align="center" style="font-size: 9pt; font-family: Verdana; color: #000000; letter-spacing: 1pt; word-break: break-all" background="img/bg_line.gif"> 
<form name="form1">
          <span id='rslist'>
          <?php GetList($dsql,$pageno,$pagesize,'aid'); ?>
          </span>
        </form>
                        <table width="98%" border="0" cellspacing="0" cellpadding="0" id="table13">
                          <tr> 
                            <td> 
<div id="pagelist"></div>
<script type="text/javascript">
		ReloadPageNum(1);
	  </script>
                            </td>
                          </tr>
                        </table>


                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
</body>
</html>



